> ## Documentation Index
> Fetch the complete documentation index at: https://docs.checkpoint.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deposit Capacity

> Read current first-deposit limits and available capacity. Availability can change before a claim is requested. These limits apply to deposits, not HTTP requests.



## OpenAPI

````yaml /spec/oracle.json get /ratelimits
openapi: 3.0.0
info:
  title: Checkpoint Oracle API
  description: Cryptographic verification of offchain claims
  version: 1.0.0
  contact:
    name: Checkpoint Support
    url: https://discord.gg/fJ5dJbxxTT
servers:
  - url: https://oracle.checkpoint.exchange
    description: Production Oracle API
security: []
tags:
  - name: Claims
    description: Endpoints for verifying claims and getting cryptographic signatures
paths:
  /ratelimits:
    get:
      tags:
        - Status
      summary: Get Deposit Capacity
      description: >-
        Read current first-deposit limits and available capacity. Availability
        can change before a claim is requested. These limits apply to deposits,
        not HTTP requests.
      operationId: getRateLimits
      responses:
        '200':
          description: Successful read
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRateLimitsResponse'
        '503':
          description: Status unavailable; do not interpret as an empty result.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    GetRateLimitsResponse:
      type: object
      properties:
        success:
          type: boolean
        data:
          type: array
          items:
            $ref: '#/components/schemas/MarketCapacity'
      required:
        - success
        - data
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: string
          example: Invalid request
      required:
        - success
        - error
    MarketCapacity:
      type: object
      properties:
        pointsId:
          type: integer
        status:
          type: string
          enum:
            - active
            - paused
        accountCapPts:
          type: string
          description: Whole-point decimal string.
        globalCapPts:
          type: string
          description: Whole-point decimal string.
        availableCapacityPts:
          type: string
          description: Whole-point decimal string.
        depletedCapacityPts:
          type: string
          description: Whole-point decimal string.
        immediateCapacityPts:
          type: string
          description: Whole-point decimal string.
        refillPeriodSeconds:
          type: integer
        secondsUntilFull:
          type: integer
          description: Assumes no further reservations or policy changes.
        asOf:
          type: integer
          description: Unix timestamp in seconds.
      required:
        - pointsId
        - status
        - accountCapPts
        - globalCapPts
        - availableCapacityPts
        - depletedCapacityPts
        - immediateCapacityPts
        - refillPeriodSeconds
        - secondsUntilFull
        - asOf

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.